<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_announce" %>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<bbs:AdminHeader title="修改论坛公告" runat="server" />
<script language='javascript'>
function htmlDecode(str)
{
	var s = str.replace(/&lt;/gi, '<');
	s = s.replace(/&gt;/gi, '>');
	s = s.replace(/&amp;/gi, '&');
	s = s.replace(/\r/gi, '');
	s = s.replace(/\n+/gi, '&nbsp;');
	return s;
}
function doPreview()
{
	document.getElementById('preview').innerHTML = htmlDecode(document.getElementById('announce').innerHTML);
}
</script>
<form runat="server">
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
		<tr>
			<td class="title" colspan="2">修改论坛公告</td>
		</tr>
		<tr>
			<td class="left" width="15%">输入公告内容<br /><span>支持HTML</span></td>
			<td>
				<textarea id="announce" style="width:90%;height:80px" runat="server"></textarea></td>
		</tr>
		<tr>			
			<td class="bottom" colspan="2" align="center">
				<input type="submit" value="修 改" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /> &nbsp;&nbsp;
				<input type="button" value="预 览" onclick="javascript:doPreview()" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
			</td>
		</tr>
	</table>
</form>
<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
	<tr>
		<td class="nf2">预览 <span>注: 1、一般论坛首页宽度要比这里大; 2、如果使用相对连接，以论坛首页为准</span></td>
	</tr>
	<tr>
		<td id="preview"></td>
	</tr>
</table>
<bbs:AdminFooter runat="server" />